Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05959 Sound Minor Always Jun 7, 2015, 14:14 Jul 8, 2015, 12:37
Tester izius View Status Public Platform MAME (Official Binary)
Assigned To Mamesick Resolution Fixed OS Windows XP
Status [?] Resolved Driver alpha68k.cpp
Version 0.162 Fixed in Version 0.164 Build Normal
Summary 05959: kyros, kyrosj: A few sound FX are missing
Description Some sound effects are not played at all. Among these are punch swing, punch hit, jump and point bonus pickup.
Steps To Reproduce
Additional Information Somewhat similar to 03912, but in this case the sound FX are muted and don't leave a persisting noise.
Flags
Regression Version 0.144u2
Affected Sets / Systems kyros, kyrosj
Attached Files
 
Relationships
related to 03912Resolvedhap kyros, kyrosj: Once you throw a punch, there is a white noise which lasts throughout the game 
Notes
3
User avatar
No.11730
NekoEd
Senior Tester
Jun 8, 2015, 22:56
SDLMAME64 0.162 on Linux/x64 confirmed.
User avatar
No.11733
Tafoid
Administrator
Jun 8, 2015, 23:46
Breakage traced to eliminating the deprecat.c functions for the driver (2 possible)
https://github.com/mamedev/mame/commit/2376785be26856576830189490b743c861fe7c39
https://github.com/mamedev/mame/commit/a5a10c2e76d479ff53f16f3404d999c618ba3ded
December 02, 2011
User avatar
No.11738
Mamesick
Senior Tester
Jun 10, 2015, 07:36
FIX:
line 1981:
MCFG_CPU_PERIODIC_INT_DRIVER(alpha68k_state, irq0_line_hold,  2*60)
change to:
MCFG_CPU_VBLANK_INT_DRIVER("screen", alpha68k_state, irq0_line_hold)
The same can be done at line 1927 too for SSTINGRY which seems affected by the same bug too.